package com.supwisdom.dlpay.system.dao;

import com.supwisdom.dlpay.ncmgr.domain.TBuilding;
import com.supwisdom.dlpay.system.page.Pagination;

import java.util.List;

public interface BuildingDao {
    public List<TBuilding> getBuildingByRegionId(String regionid);

    public Pagination getSystemBuildingList(String regionid, String buildingname, int pageNo, int pageSize);

    public TBuilding getBuildingById(String buildingid);

    public TBuilding getBuildingByName(String buildingname);

    public boolean saveBuilding(TBuilding bean);

    public TBuilding getBuildingByNameAndId(String buildingname,String buildingid);

    public boolean updateBuilding(TBuilding bean);

    public boolean updateBuildingFlag(String buildingid);
}
